org.apache.cassandra.cql3.functions

## Class BytesConversionFcts

- java.lang.Object
- - org.apache.cassandra.cql3.functions.BytesConversionFcts

-     public abstract class BytesConversionFcts
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Function` | `BlobAsVarcharFact`
    `static Function` | `VarcharAsBlobFct`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BytesConversionFcts()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Function` | `makeFromBlobFunction(AbstractType<?> toType)`
    `static Function` | `makeToBlobFunction(AbstractType<?> fromType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VarcharAsBlobFct

          public static final Function VarcharAsBlobFct

    - #### BlobAsVarcharFact

          public static final Function BlobAsVarcharFact

  - ### Constructor Detail

    - #### BytesConversionFcts

          public BytesConversionFcts()

  - ### Method Detail

    - #### makeToBlobFunction

          public static Function makeToBlobFunction(AbstractType<?> fromType)

    - #### makeFromBlobFunction

          public static Function makeFromBlobFunction(AbstractType<?> toType)

Copyright © 2018 The Apache Software Foundation